import {Component, Input} from '@angular/core';
import {TaskgroupEntityInfo, TaskShortInfo} from "../../../api";
import {FormControl, Validators} from "@angular/forms";

@Component({
  selector: 'app-advanced-scheduler',
  templateUrl: './advanced-scheduler.component.html',
  styleUrls: ['./advanced-scheduler.component.css']
})
export class AdvancedSchedulerComponent {

  @Input() task: TaskShortInfo | undefined;
  @Input() taskgroup: TaskgroupEntityInfo | undefined


  startCtrl = new FormControl('', [Validators.required])
  endCtrl = new FormControl('', [Validators.required])

  setDate(clickedDate: Date) {
    if(this.startCtrl.value == undefined) {
      this.startCtrl.setValue(clickedDate.toISOString());
    } else if(new Date(Date.parse(this.startCtrl.value)) < clickedDate) {
      this.endCtrl.setValue(clickedDate.toISOString());
    }
  }
}
